DRM_MODE_CONFIG_INIT(9)

NAME
drm_mode_config_init - initialize DRM mode_configuration structure

SYNOPSIS

void drm_mode_config_init(struct drm_device * dev);

ARGUMENTS

dev
    DRM device

DESCRIPTION

Initialize dev's mode_config structure, used for tracking the graphics configuration of dev.

Since this initializes the modeset locks, no locking is possible. Which is no problem, since this should happen single threaded at init time. It is the driver's problem to ensure this guarantee.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT